Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.core
Class Activator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.emf.ecp.cdo.internal.core.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends org.eclipse.core.runtime.Plugin

The activator class controls the plug-in life cycle.

Author:
  Eike Stepper

Field Summary
`static String` | `PLUGIN_ID` The PlugIn ID.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`Activator()`

Method Summary
`static Activator` | `getInstance()` Returns the shared instance.
`static org.eclipse.core.runtime.IStatus` | `getStatus(Throwable t)` Gets a `IStatus` for a throwable.
`static void` | `log(org.eclipse.core.runtime.IStatus status)` Logs `IStatus`.
`static void` | `log(String message)` Logs messages.
`static String` | `log(Throwable t)` Logs `Throwable`.
`void` | `start(org.osgi.framework.BundleContext bundleContext)`
`void` | `stop(org.osgi.framework.BundleContext bundleContext)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  The PlugIn ID.

  See Also:
    Constant Field Values

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `Exception`

### getInstance

    public static Activator getInstance()

  Returns the shared instance.

  Returns:
    the shared instance

### log

    public static void log(String message)

  Logs messages.

  Parameters:
    `message` - the message

### log

    public static void log(org.eclipse.core.runtime.IStatus status)

  Logs `IStatus`.

  Parameters:
    `status` - the `IStatus`

### log

    public static String log(Throwable t)

  Logs `Throwable`.

  Parameters:
    `t` - the `Throwable`
  Returns:
    the message of the created status

### getStatus

    public static org.eclipse.core.runtime.IStatus getStatus(Throwable t)

  Gets a `IStatus` for a throwable.

  Parameters:
    `t` - the `Throwable`
  Returns:
    the created `IStatus`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.